LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
DNDConstants.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::datatransfer
| Clipboard and Drag&Drop interfaces.
module | com::sun::star::datatransfer::dnd
| Drag&Drop specific interfaces.

## Constant Groups
constants | com::sun::star::datatransfer::dnd::DNDConstants
| These values represent the type of action or actions to be performed by a Drag and Drop operation.

## Variables
const byte | ACTION_NONE = 0x00
| No action. More...
const byte | ACTION_COPY = 0x01
| Action copy. More...
const byte | ACTION_MOVE = 0x02
| Action move. More...
const byte | ACTION_COPY_OR_MOVE = 0x03
| Action copy or move. More...
const byte | ACTION_LINK = 0x04
| Action link. More...
const byte | ACTION_REFERENCE = 0x04
| Action reference. More...
const byte | ACTION_DEFAULT = -0x80
| Action default. More...